'Search for packages containing this document.' feature does not work

Bug #838540 reported by Vadim Peretokin on 2011-09-01
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
yelp (Ubuntu)
Low
Unassigned

Bug Description

When a document isn't found, there is a link of "Search for packages containing this document.". Clicking that, however, says:

>Installing packages by files isn't supported
>This method hasn't yet been implemented.

If the link is left in the final release, it'll make the release look unfinished.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: yelp 3.1.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
CasperVersion: 1.280
Date: Thu Sep 1 02:18:48 2011
ExecutablePath: /usr/bin/yelp
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110831)
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SourcePackage: yelp
UpgradeStatus: No upgrade log present (probably fresh install)

Vadim Peretokin (vperetokin) wrote :
tags: added: iso-testing
Changed in yelp (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) wrote :

To clarify, the message in the original bug report is if PackageKit was installed. Otherwise, the error message is "You do not have PackageKit. Package install links require PackageKit."

Since Ubuntu's PackageKit doesn't support the org.freedesktop.PackageKit.Modify.InstallProvideFiles method and since Ubuntu doesn't use PackageKit, this feature should be disabled or ported to work with aptdaemon or whatever also.

Changed in yelp (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp - 3.2.0-0ubuntu1

---------------
yelp (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/06_make_ubuntu_docs_default.patch: Refreshed
  * debian/patches/07_disable_package_search.patch:
    - Remove "Search for packages containing this document" feature
      because it doesn't work in the default Ubuntu install (LP: #838540)
 -- Jeremy Bicha <email address hidden> Mon, 26 Sep 2011 21:08:21 -0400

Changed in yelp (Ubuntu):
status: Triaged → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers